$breakpoints: ('sm': 576px,
    'md': 768px,
    'lg': 992px,
    'xl': 1200px,
);

$widths: 25,
50,
75,
100,
auto;
$heights: 25,
50,
75,
100,
auto;

@each $breakpoint in map-keys($breakpoints) {
    @media (min-width: map-get($breakpoints, $breakpoint)) {
        @each $i in $widths {
            .w-#{$breakpoint}-#{$i} {
                @if type-of($i)=='number' {
                    width: unquote($i + '%'+ ' !important');
                }

                @else {
                    width: #{$i} !important;
                }
            }
        }

        @each $i in $heights {
            .h-#{$breakpoint}-#{$i} {
                @if type-of($i)=='number' {
                    height: unquote($i + '%'+ ' !important');
                }

                @else {
                    height: #{$i} !important;
                }
            }
        }
    }
}

.open-to-work-tag {
    top: 0;
    margin: auto;
}

@media (max-width: 576px) {

    small,
    .small {
        font-size: 100%;
    }

    body {
        font-size: 1rem;
    }
}

@media (min-width: 576px) {
    .landing-sm {
        min-height: 70vh;
    }
}

@media (min-width: 768px) {
    .app-shadow {
        box-shadow: none !important;
    }

    .border-md-left {
        border-left: 1px solid #dee2e6 !important;
    }
}

@media screen and (max-width: 768px) {
    .nav-side {
        height: 100%;
        max-width: 288px;
        width: 88%;
        position: fixed;
        z-index: 10;
        top: 0;
        opacity: 0;
        left: -55%;
        overflow-x: hidden;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
        transition: 0.3s ease-in-out;

        .btn-close {
            position: absolute;
            top: 0;
            right: 0;
            z-index: 1000;
        }
    }
}

html,
body {
    scroll-behavior: smooth;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

footer {
    margin-top: auto;
}

select {
    -webkit-appearance: none;
    appearance: none;
}

.select-wrapper {
    position: relative;

    &::after {
        top: 15px;
        right: 1rem;
        position: absolute;
        width: 0;
        height: 0;
        content: '';
        border-top: 0.3em solid;
        border-right: 0.3em solid transparent;
        border-bottom: 0;
        border-left: 0.3em solid transparent;
    }
}

.app-icon {
    width: 100px !important;
}

.app-icon-small {
    max-width: 60px !important;
}

.op-7 {
    opacity: 0.75;
}

/* styling for the app slider section on the projects-carousel.html */
.slider .slide:hover {
    cursor: pointer;
}

.slick-slide {
    margin: 0 15px;
}

.slick-slide img {
    max-width: 100%;
    outline: none;
    height: auto;
    display: block;
    margin: auto;
}

.slick-slider {
    position: relative;
    display: block;
    box-sizing: border-box;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-touch-callout: none;
    -ms-touch-action: pan-y;
    touch-action: pan-y;
    -webkit-tap-highlight-color: transparent;
}

.slick-list {
    position: relative;
    display: block;
    overflow: hidden;
    margin: 0;
    padding: 0;
}

.slick-list:focus {
    outline: none;
}

.slick-list.dragging {
    cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.slick-track {
    position: relative;
    top: 0;
    left: 0;
    display: block;
}

.slick-track:before,
.slick-track:after {
    display: table;
    content: '';
}

.slick-track:after {
    clear: both;
}

.slick-loading .slick-track {
    visibility: hidden;
}

.slick-slide {
    display: none;
    float: left;
    height: 100%;
    min-height: 1px;
    outline: none !important;
}

[dir='rtl'] .slick-slide {
    float: right;
}

.slick-slide.slick-loading img {
    display: none;
}

.slick-slide.dragging img {
    pointer-events: none;
}

.slick-initialized .slick-slide {
    display: block;
}

.slick-loading .slick-slide {
    visibility: hidden;
}

.slick-vertical .slick-slide {
    display: block;
    height: auto;
    border: 1px solid transparent;
}

.slick-arrow.slick-hidden {
    display: none;
}

.tab-pane::-webkit-scrollbar {
    width: 0.4rem;
}

.tab-pane::-webkit-scrollbar:hover {
    width: 0.6rem;
}

.tab-pane::-webkit-scrollbar-thumb {
    background: var(--info);
    border-radius: 1.6rem;
}

.tab-pane::-webkit-scrollbar-track {
    background: transparent;
    margin: 1rem;
}

.bg-no-repeat {
    background-repeat: no-repeat !important;
}

.bg-center {
    background-position: center !important;
}

.bg-cover {
    background-size: cover !important;
}

.shadow-hover {
    &:hover {
        cursor: pointer;
        transition: box-shadow 0.15s ease-in-out;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
    }
}

.shadow-sm-hover {
    &:hover {
        cursor: pointer;
        transition: box-shadow 0.15s ease-in-out;
        box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    }
}

.shadow-md-hover {
    &:hover {
        transition: box-shadow 0.15s ease-in-out;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
    }
}

.bg-light-hover {
    &:hover {
        transition: 0.15s ease-in-out;
        background-color: var(--light) !important;
    }
}

/* styling for faqs collapsible components */
.accordion-section .panel .panel-heading a.collapsed {
    &:after {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
}

.accordion-section .panel .panel-heading a {
    &:after {
        font-family: 'Font Awesome 5 Free', serif;
        content: '\f138';
        padding-right: 3px;
        font-weight: 900;
        color: #c0c4bd;
        -webkit-transform: rotate(90deg);
        -moz-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
        -o-transform: rotate(90deg);
        transform: rotate(90deg);
    }
}

.badge {
    font-weight: 600;
}

.font-weight-bold {
    font-weight: 600 !important;
}

.font-weight-medium {
    font-weight: 400 !important;
}

.opacity-title {
    opacity: 0.7;
}

/* styling for GNOME Blue */
.bg-gblue {
    background-color: #4a86cf;
}

.border-gblue {
    border-color: #4a86cf !important;
}

.text-gblue {
    color: #4a86cf;
}

/* styling for the go to top button */
#btn-go-to-top {
    bottom: 32px;
    right: 32px;
    height: 40px;
    width: 40px;
    z-index: 1000;
    opacity: 0.5;
    transition: 0.15s ease-in-out;
}

#btn-go-to-top {
    &:hover {
        opacity: 1;
    }
}

.fa-halfx {
    font-size: 0.75em;
}

.font-underline {
    text-shadow: -2px 0px var(--white), -2px 0px var(--white),
        2px 0px var(--white), 2px 0px var(--white);
    background-size: 1px 1em;
    display: inline;
    box-shadow: inset 0 -0.175em var(--white), inset 0 -0.2em var(--secondary);
}

#development .w-100:last-child {
    margin-bottom: 0 !important;
}

/* following styles overwrite some of the styles defined by the dependencies */
.fa-stack {
    line-height: inherit !important;
}

span p {
    margin-bottom: 0;
}

/* styling for the letter spacing of the headings */
h1.letter-spacing-custom,
.h1.letter-spacing-custom,
h2.letter-spacing-custom,
.h2.letter-spacing-custom,
h3.letter-spacing-custom,
.h3.letter-spacing-custom,
h4.letter-spacing-custom,
.h4.letter-spacing-custom,
h5.letter-spacing-custom,
.h5.letter-spacing-custom {
    letter-spacing: initial;
}

h6.letter-spacing-custom,
.h6.letter-spacing-custom {
    letter-spacing: 1px;
}

/* styling for button groups in language bindings section on the index.html */
.grp-btn {
    font-size: 80%;
}

.grp-btn {

    &:focus,
    &:active {
        outline: none !important;
        box-shadow: none !important;
        border-bottom: 3px solid var(--primary) !important;
    }
}

.grp-btn.active {
    border-bottom: 3px solid var(--primary) !important;
}

.overflow-y-auto {
    overflow-y: auto;
}

.padding-icon {
    padding-left: 23px !important;
}

#landing {
    background-color: #405070;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: cover !important;
}

#landing .main-heading {
    z-index: 100;
}

.pointer {
    cursor: pointer;
}

.text-shadow {
    text-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.15) !important;
}

.right-arrow {
    position: absolute;
    margin-top: 2.5%;
    left: 10.5rem;
}

.right-arrow {
    &:before {
        content: '';
        width: 25px;
        height: 2px;
        background: slategray;
        position: absolute;
        margin-top: -1px;
        left: 0px;
        transition: all 0.3s ease;
    }
}

.right-arrow {
    &::after {
        content: '';
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 5px 0 5px 5px;
        border-color: transparent transparent transparent #000000;
        position: absolute;
        margin-top: -5px;
        left: 20px;
        transition: all 0.3s ease;
    }
}

.right-arrow-text {
    &:hover {
        .right-arrow:before {
            left: 10px;
            width: 35px;
        }

        .right-arrow:after {
            left: 40px;
        }
    }
}

.contribution-types .col-md-6.p-0 {
    &:hover i {
        cursor: pointer;
        transform: scale(1.3);
        transition: transform 300ms ease-in-out;
    }
}

.dropdown {
    &:hover {
        border-radius: 0.25rem;
        background: lighten(#151515, 15%);
    }
}

.nav-sublink-list {
    &:hover {
        transform: scale(1.3);
        transition: transform 300ms ease-in-out;
    }
}

ul.nav li.dropdown:hover ul.dropdown-menu {
    display: block;
}

.country-div {
    left: 17rem;
    bottom: 2rem;
}

.country-circle-icon {
    color: var(--light);
}

.country-emoji {
    font-size: 120%;
    margin-left: -92%;
}

.pronoun-badge {
    background-color: var(--grey);
    margin-right: 15px;
}

.ellipsis-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.audio-img {
    height: 1.25em;
}

.fa-volume-down,
.fa-volume-off {
    margin-top: 2px;
    font-size: 1.7em;
}

.pagination-project {
    display: -ms-flexbox;
    display: flex;
    padding-left: 0;
    list-style: none;
    border-radius: 0.25rem;
}

.gnome-projects-filter {
    width: 280px;
    height: 41px;
    border-radius: 0;
}

.unselected-tag {
    color: var(--grey);
    background-color: white;
    border-color: lighten(#6c757d, 45%);
    opacity: 0.9;
    border-radius: 0.8rem;
    padding: 0.3rem 0.5rem;
}

.post-tags,
.post-tags:hover {
    color: var(--grey);
    background-color: white;
    border-color: lighten(#6c757d, 45%);
    opacity: 0.9;
    border-radius: 0.8rem;
    padding: 0.3rem 0.5rem;
    cursor: default !important;
}

.selected-tag,
.unselected-tag:hover,
.selected-tag:hover {
    color: rgb(255, 255, 255);
    background-color: var(--primary);
    border-color: var(--primary);
    opacity: 0.9;
    border-radius: 0.8rem;
    padding: 0.3rem 0.5rem;
    cursor: pointer;
}

.post-snippet img,
.post-ellipsis img {
    height: 100%;
    width: 100%;
}

.post-ellipsis {
    font-size: 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    line-height: 24px;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
}

.has-search .form-control {
    padding-left: 2.375rem;
}

.has-search .form-control-feedback {
    position: absolute;
    z-index: 2;
    display: block;
    width: 2.375rem;
    height: 2.375rem;
    line-height: 2.375rem;
    text-align: center;
    pointer-events: none;
    color: #aaa;
}

.markdown-body {
    max-width: 800px;
    margin: auto;

    .fa-twitter {
        color: #55acee;
    }

    .fa-linkedin {
        color: #0976b4;
    }

    .fa-facebook-square {
        color: #3b5998;
    }
}

.fa-rss {
    color: #000000;
}

.avatar-picture {
    width: 100px;
    height: 100px;
    object-fit: cover;
    background-position: center;
}

.avatar-picture-lg {
    width: 250px;
    height: 250px;
    background-size: cover;
    background-position: center;
}

.gnome-members-filter {
    width: -webkit-fill-available;
    border-radius: 0;
}

.speaker-index .list-inline-item {
    &:last-child {
        margin-right: 0.5rem;
    }
}

.dots {
    color: var(--primary);
}

#outreachSection .container .top-container {
    display: flex;
}

#selectYear,
#selectType {
    padding-right: 1.75rem;
    margin-left: 1rem;
}

@media screen and (min-width: 768px) and (max-width: 1280px) {
    .country-emoji {
        margin-left: -80%;
    }
}

@media screen and (max-width: 992px) {
    .country-div {
        left: 26rem;
    }

    .post-sidebar {
        position: initial !important;
    }

    .open-to-work-tag {
        margin-left: 12.7rem;
    }
}

@media screen and (min-width: 576px) and (max-width: 768px) {
    .faqs {
        width: 100% !important;
    }

    .country-div {
        left: 19.8rem;
    }

    .open-to-work-tag {
        margin-left: 7rem;
    }
}

@media screen and (max-width: 576px) {
    .faqs {
        width: 100% !important;
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

    .gnome-projects-filter {
        width: 185px;
        height: 38px;
    }

    .gnome-members-filter {
        height: 38px;
    }

    .member-avatar {
        width: 50%;
        margin-left: 15%;
    }

    .country-div {
        left: 12.8rem;
    }

    .open-to-work-tag {
        margin-left: 0rem;
    }

    .select-wrapper {
        &:nth-of-type(1) {
            &::after {
                top: 2rem;
                left: 4rem;
                right: 0rem;
            }
        }
    }

    .select-wrapper {
        &:nth-of-type(2) {
            &::after {
                top: 2rem;
                left: 7rem;
                right: 0;
            }
        }
    }

    #outreachSection .container .top-container {
        display: block;
    }

    #selectYear {
        margin-top: 1rem;
        margin-left: 0;
    }

    #selectType {
        margin-top: 1rem;
    }
}

@media screen and (max-width: 425px) {
    .footer-heading {
        font-size: 0.95rem;
    }
}

@media screen and (max-width: 375px) {
    .member-avatar {
        margin-left: 10%;
    }
}

@media screen and (max-width: 320px) {
    .footer-heading {
        font-size: 0.8rem;
    }

    .gnome-members-filter {
        width: 230px;
    }
}

.gnome-member-name {
    font-family: 'Cantarell', serif;
    font-weight: 600;
}

.subheader {
    .title {
        height: 400px;
        width: 100%;

        @media screen and (max-width: 768px) {
            height: auto;
        }
    }

    img {
        height: 400px;
        width: 100%;
        object-fit: contain;
    }
}